## WDS Event Report indication WDS Event Report indication |

## Functions

QmiIndicationWdsEventReportOutput * | qmi_indication_wds_event_report_output_ref ()
void | qmi_indication_wds_event_report_output_unref ()
gboolean | qmi_indication_wds_event_report_output_get_extended_data_bearer_technology ()
gboolean | qmi_indication_wds_event_report_output_get_pdn_filters_removed ()
gboolean | qmi_indication_wds_event_report_output_get_data_call_address_family ()
gboolean | qmi_indication_wds_event_report_output_get_uplink_flow_control_enabled ()
gboolean | qmi_indication_wds_event_report_output_get_rx_packets_dropped ()
gboolean | qmi_indication_wds_event_report_output_get_tx_packets_dropped ()
gboolean | qmi_indication_wds_event_report_output_get_data_systems ()
gboolean | qmi_indication_wds_event_report_output_get_evdo_page_monitor_period_change ()
gboolean | qmi_indication_wds_event_report_output_get_data_call_type ()
gboolean | qmi_indication_wds_event_report_output_get_preferred_data_system ()
gboolean | qmi_indication_wds_event_report_output_get_data_call_status ()
gboolean | qmi_indication_wds_event_report_output_get_current_data_bearer_technology ()
gboolean | qmi_indication_wds_event_report_output_get_mip_status ()
gboolean | qmi_indication_wds_event_report_output_get_rx_bytes_ok ()
gboolean | qmi_indication_wds_event_report_output_get_tx_bytes_ok ()
gboolean | qmi_indication_wds_event_report_output_get_dormancy_status ()
gboolean | qmi_indication_wds_event_report_output_get_data_bearer_technology ()
gboolean | qmi_indication_wds_event_report_output_get_channel_rates ()
gboolean | qmi_indication_wds_event_report_output_get_rx_overflows ()
gboolean | qmi_indication_wds_event_report_output_get_tx_overflows ()
gboolean | qmi_indication_wds_event_report_output_get_rx_packets_error ()
gboolean | qmi_indication_wds_event_report_output_get_tx_packets_error ()
gboolean | qmi_indication_wds_event_report_output_get_rx_packets_ok ()
gboolean | qmi_indication_wds_event_report_output_get_tx_packets_ok ()

## Types and Values

| QmiIndicationWdsEventReportOutput
| QmiIndicationWdsEventReportOutputDataSystemsNetworksNetwork

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationWdsEventReportOutput

## Description

## Functions

### qmi_indication_wds_event_report_output_ref ()

    QmiIndicationWdsEventReportOutput *
    qmi_indication_wds_event_report_output_ref
                                   (QmiIndicationWdsEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_indication_wds_event_report_output_unref ()

    void
    qmi_indication_wds_event_report_output_unref
                                   (QmiIndicationWdsEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |

Since: 1.18

### qmi_indication_wds_event_report_output_get_extended_data_bearer_technology ()

    gboolean
    qmi_indication_wds_event_report_output_get_extended_data_bearer_technology
                                   (QmiIndicationWdsEventReportOutput *self,
                                    QmiWdsDataSystemNetworkType *value_extended_data_bearer_technology_data_bearer_technology,
                                    QmiWdsRadioAccessTechnology *value_extended_data_bearer_technology_radio_access_technology,
                                    QmiWdsExtendedDataBearerTechnology3gpp *value_extended_data_bearer_technology_extended_data_bearer_technology_3gpp,
                                    QmiWdsExtendedDataBearerTechnology3gpp2 *value_extended_data_bearer_technology_extended_data_bearer_technology_3gpp2,
                                    GError **error);

Get the 'Extended Data Bearer Technology' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_extended_data_bearer_technology_data_bearer_technology | a placeholder for the output QmiWdsDataSystemNetworkType, or `NULL` if not required. |
value_extended_data_bearer_technology_radio_access_technology | a placeholder for the output QmiWdsRadioAccessTechnology, or `NULL` if not required. |
value_extended_data_bearer_technology_extended_data_bearer_technology_3gpp | a placeholder for the output QmiWdsExtendedDataBearerTechnology3gpp, or `NULL` if not required. |
value_extended_data_bearer_technology_extended_data_bearer_technology_3gpp2 | a placeholder for the output QmiWdsExtendedDataBearerTechnology3gpp2, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_pdn_filters_removed ()

    gboolean
    qmi_indication_wds_event_report_output_get_pdn_filters_removed
                                   (QmiIndicationWdsEventReportOutput *self,
                                    GArray **value_pdn_filters_removed_pdn_filter_handler,
                                    GError **error);

Get the 'PDN Filters Removed' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_pdn_filters_removed_pdn_filter_handler | a placeholder for the output GArray of guint32 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_data_call_address_family ()

    gboolean
    qmi_indication_wds_event_report_output_get_data_call_address_family
                                   (QmiIndicationWdsEventReportOutput *self,
                                    QmiWdsIpFamily *value_data_call_address_family,
                                    GError **error);

Get the 'Data Call Address Family' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_data_call_address_family | a placeholder for the output QmiWdsIpFamily, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_uplink_flow_control_enabled ()

    gboolean
    qmi_indication_wds_event_report_output_get_uplink_flow_control_enabled
                                   (QmiIndicationWdsEventReportOutput *self,
                                    gboolean *value_uplink_flow_control_enabled,
                                    GError **error);

Get the 'Uplink Flow Control Enabled' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_uplink_flow_control_enabled | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_rx_packets_dropped ()

    gboolean
    qmi_indication_wds_event_report_output_get_rx_packets_dropped
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint32 *value_rx_packets_dropped,
                                    GError **error);

Get the 'Rx Packets Dropped' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_rx_packets_dropped | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_tx_packets_dropped ()

    gboolean
    qmi_indication_wds_event_report_output_get_tx_packets_dropped
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint32 *value_tx_packets_dropped,
                                    GError **error);

Get the 'Tx Packets Dropped' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_tx_packets_dropped | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_data_systems ()

    gboolean
    qmi_indication_wds_event_report_output_get_data_systems
                                   (QmiIndicationWdsEventReportOutput *self,
                                    QmiWdsDataSystemNetworkType *value_data_systems_preferred_network_type,
                                    GArray **value_data_systems_networks,
                                    GError **error);

Get the 'Data Systems' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_data_systems_preferred_network_type | a placeholder for the output QmiWdsDataSystemNetworkType, or `NULL` if not required. |
value_data_systems_networks | a placeholder for the output GArray of QmiIndicationWdsEventReportOutputDataSystemsNetworksNetwork elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_evdo_page_monitor_period_change ()

    gboolean
    qmi_indication_wds_event_report_output_get_evdo_page_monitor_period_change
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint8 *value_evdo_page_monitor_period_change_period_change,
                                    gboolean *value_evdo_page_monitor_period_change_force_long_sleep,
                                    GError **error);

Get the 'EVDO Page Monitor Period Change' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_evdo_page_monitor_period_change_period_change | a placeholder for the output guint8, or `NULL` if not required. |
value_evdo_page_monitor_period_change_force_long_sleep | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_data_call_type ()

    gboolean
    qmi_indication_wds_event_report_output_get_data_call_type
                                   (QmiIndicationWdsEventReportOutput *self,
                                    QmiWdsDataCallType *value_data_call_type_data_call_type,
                                    QmiWdsTetheredCallType *value_data_call_type_tethered_call_type,
                                    GError **error);

Get the 'Data Call Type' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_data_call_type_data_call_type | a placeholder for the output QmiWdsDataCallType, or `NULL` if not required. |
value_data_call_type_tethered_call_type | a placeholder for the output QmiWdsTetheredCallType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_preferred_data_system ()

    gboolean
    qmi_indication_wds_event_report_output_get_preferred_data_system
                                   (QmiIndicationWdsEventReportOutput *self,
                                    QmiWdsDataSystem *value_preferred_data_system,
                                    GError **error);

Get the 'Preferred Data System' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_preferred_data_system | a placeholder for the output QmiWdsDataSystem, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_data_call_status ()

    gboolean
    qmi_indication_wds_event_report_output_get_data_call_status
                                   (QmiIndicationWdsEventReportOutput *self,
                                    QmiWdsDataCallStatus *value_data_call_status,
                                    GError **error);

Get the 'Data Call Status' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_data_call_status | a placeholder for the output QmiWdsDataCallStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_current_data_bearer_technology ()

    gboolean
    qmi_indication_wds_event_report_output_get_current_data_bearer_technology
                                   (QmiIndicationWdsEventReportOutput *self,
                                    QmiWdsNetworkType *value_current_data_bearer_technology_network_type,
                                    guint32 *value_current_data_bearer_technology_rat_mask,
                                    guint32 *value_current_data_bearer_technology_so_mask,
                                    GError **error);

Get the 'Current Data Bearer Technology' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_current_data_bearer_technology_network_type | a placeholder for the output QmiWdsNetworkType, or `NULL` if not required. |
value_current_data_bearer_technology_rat_mask | a placeholder for the output guint32, or `NULL` if not required. |
value_current_data_bearer_technology_so_mask | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_mip_status ()

    gboolean
    qmi_indication_wds_event_report_output_get_mip_status
                                   (QmiIndicationWdsEventReportOutput *self,
                                    gboolean *value_mip_status,
                                    GError **error);

Get the 'MIP Status' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_mip_status | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_rx_bytes_ok ()

    gboolean
    qmi_indication_wds_event_report_output_get_rx_bytes_ok
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint64 *value_rx_bytes_ok,
                                    GError **error);

Get the 'Rx Bytes Ok' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_rx_bytes_ok | a placeholder for the output guint64, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_tx_bytes_ok ()

    gboolean
    qmi_indication_wds_event_report_output_get_tx_bytes_ok
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint64 *value_tx_bytes_ok,
                                    GError **error);

Get the 'Tx Bytes Ok' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_tx_bytes_ok | a placeholder for the output guint64, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_dormancy_status ()

    gboolean
    qmi_indication_wds_event_report_output_get_dormancy_status
                                   (QmiIndicationWdsEventReportOutput *self,
                                    QmiWdsDormancyStatus *value_dormancy_status,
                                    GError **error);

Get the 'Dormancy Status' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_dormancy_status | a placeholder for the output QmiWdsDormancyStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_data_bearer_technology ()

    gboolean
    qmi_indication_wds_event_report_output_get_data_bearer_technology
                                   (QmiIndicationWdsEventReportOutput *self,
                                    QmiWdsDataBearerTechnology *value_data_bearer_technology,
                                    GError **error);

Get the 'Data Bearer Technology' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_data_bearer_technology | a placeholder for the output QmiWdsDataBearerTechnology, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_channel_rates ()

    gboolean
    qmi_indication_wds_event_report_output_get_channel_rates
                                   (QmiIndicationWdsEventReportOutput *self,
                                    gint32 *value_channel_rates_tx_rate_bps,
                                    gint32 *value_channel_rates_rx_rate_bps,
                                    GError **error);

Get the 'Channel Rates' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_channel_rates_tx_rate_bps | a placeholder for the output gint32, or `NULL` if not required. |
value_channel_rates_rx_rate_bps | a placeholder for the output gint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_rx_overflows ()

    gboolean
    qmi_indication_wds_event_report_output_get_rx_overflows
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint32 *value_rx_overflows,
                                    GError **error);

Get the 'Rx Overflows' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_rx_overflows | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_tx_overflows ()

    gboolean
    qmi_indication_wds_event_report_output_get_tx_overflows
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint32 *value_tx_overflows,
                                    GError **error);

Get the 'Tx Overflows' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_tx_overflows | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_rx_packets_error ()

    gboolean
    qmi_indication_wds_event_report_output_get_rx_packets_error
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint32 *value_rx_packets_error,
                                    GError **error);

Get the 'Rx Packets Error' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_rx_packets_error | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_tx_packets_error ()

    gboolean
    qmi_indication_wds_event_report_output_get_tx_packets_error
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint32 *value_tx_packets_error,
                                    GError **error);

Get the 'Tx Packets Error' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_tx_packets_error | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_rx_packets_ok ()

    gboolean
    qmi_indication_wds_event_report_output_get_rx_packets_ok
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint32 *value_rx_packets_ok,
                                    GError **error);

Get the 'Rx Packets Ok' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_rx_packets_ok | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_wds_event_report_output_get_tx_packets_ok ()

    gboolean
    qmi_indication_wds_event_report_output_get_tx_packets_ok
                                   (QmiIndicationWdsEventReportOutput *self,
                                    guint32 *value_tx_packets_ok,
                                    GError **error);

Get the 'Tx Packets Ok' field from `self` .

#### Parameters

self | a QmiIndicationWdsEventReportOutput. |
value_tx_packets_ok | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

## Types and Values

### QmiIndicationWdsEventReportOutput

    typedef struct _QmiIndicationWdsEventReportOutput QmiIndicationWdsEventReportOutput;

The QmiIndicationWdsEventReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiIndicationWdsEventReportOutputDataSystemsNetworksNetwork

    typedef struct {
        QmiWdsDataSystemNetworkType network_type;
        guint32 rat_mask;
        guint32 so_mask;
    } QmiIndicationWdsEventReportOutputDataSystemsNetworksNetwork;

A QmiIndicationWdsEventReportOutputDataSystemsNetworksNetwork struct.

#### Members

QmiWdsDataSystemNetworkType `network_type`; | a QmiWdsDataSystemNetworkType. |
guint32 `rat_mask`; | a guint32. |
guint32 `so_mask`; | a guint32. |

Since: 1.18